For the complete documentation index, see llms.txt. This page is also available as Markdown.

POST /parents/create

Create Parent ---- [auth scope: admin, grandparent]

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
parentNamestringRequired

The name of Parent

statusbooleanRequired

Parent's Status

isAllOptInobjectRequired

Do you want to opt in for all payment providers

grandparentIdstringRequired

The new parent grandparent id

slugobjectRequired

The new Parent slug

CountrystringRequired

The country in which you want to store data of merchant in spanner

Responses
201

Parent created successfully

application/json
imagestringOptional

Parent image URL

parentIdstringRequired

Parent's Id

parentNamestringRequired

Parent's Name

statusbooleanRequired

Parent's Status

authSecretstringRequired

The parent secret

hmacKeystringRequired

The parent hmac key

isAllOptInbooleanRequired

opted in status for all payment providers

post/parents/create
POST /parents/create HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324

{
  "parentName": "text",
  "status": true,
  "isAllOptIn": {},
  "theme": {
    "logo": "text",
    "leftSidebarBgColor": "text",
    "leftSidebarActiveColor": "text",
    "leftSidebarHoverColor": "text",
    "leftSidebarTextColor": "text",
    "topBarTextColor": "text",
    "topBarBgColor": "text",
    "paymentLinkMenuAlias": "text"
  },
  "grandparentId": "text",
  "slug": {},
  "Country": "text"
}
201

Parent created successfully

{
  "image": "text",
  "parentId": "text",
  "parentName": "text",
  "status": true,
  "theme": {
    "logo": "text",
    "leftSidebarBgColor": "text",
    "leftSidebarActiveColor": "text",
    "leftSidebarHoverColor": "text",
    "leftSidebarTextColor": "text",
    "topBarTextColor": "text",
    "topBarBgColor": "text",
    "paymentLinkMenuAlias": "text"
  },
  "authSecret": "text",
  "hmacKey": "text",
  "isAllOptIn": true
}

Last updated